#
# Cookbook Name:: scoutapp
# Recipe:: default
#
# Copyright 2011, Efactures
#
# Apache 2.0 Licence
#

# dependency for building some gem
o = package "libxml2-dev" do
  action :nothing
end
o.run_action(:install)

p = package "libxslt1-dev" do
  action :nothing
end
p.run_action(:install)

# install scout
q = gem_package "scout" do
  action :install
end
q.run_action(:install)

# Install scout api lib
r = gem_package "scout_scout" do
  action :nothing
end

r.run_action(:install)

# test if server has a key and register it if account email password exist
if node[:scoutapp][:key].nil? && !node[:scoutapp][:account].nil? && !node[:scoutapp][:email].nil? && !node[:scoutapp][:password].nil?
# Here auto registration
  require 'rubygems'
  require 'scout_scout'
  ScoutScout.new("#{node[:scoutapp][:account]}", "#{node[:scoutapp][:email]}", "#{node[:scoutapp][:password]}")
  Chef::Log.info("Attempt to register #{node[:fqdn]}")
  server = ScoutScout::Server.create("#{node[:fqdn]}")
  node.set[:scoutapp][:key] = server.key.to_s
  Chef::Log.info("Node #{node[:fqdn]} is register with key : #{node[:scoutapp][:key]}")
end

# test if server has a key and install cron
if !node[:scoutapp][:key].nil? then
#if  node.scoutapp.attribute?("key")  then
    cron "scout_cron" do
        user "root"
        path "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin"
        command "scout #{node[:scoutapp][:key]}"
    end
end